{% extends 'base.html' %}

{% block current_name %}{{ gettext("Messages") }}{% endblock %}

{% block head %}<script
	type="text/javascript"
	src="{{ url_for('static', filename='js/forge.js') }}"
></script>
<script
	type="text/javascript"
	src="{{ url_for('static', filename='js/api.js') }}"
></script>
<script
	type="text/javascript"
	src="{{ url_for('static', filename='js/message_list.js') }}"
></script>

<link
	rel="stylesheet"
	href="{{ url_for('static', filename='css/message_list.css') }}"
>{% endblock %}

{% block content %}
	<section class="main-center">
		<section id="manual-privkey-input-wrapper" class="window" style="display:none">
			<h1>
				{{ gettext("Please generate a private key, or enter one.") }}
			</h1>
			<p>
				{{
					gettext(
						"This is required to receive encrypted messages. To generate and set "
						"one permanently, use the "
					)
				}}
				<a
					href="#"
				>{{ gettext("TODO page") }}</a>{{ gettext(".") }}
			</p>
			<textarea id="manual-privkey-input" autocomplete="off"></textarea>
			<button id="manual-private-key-set">{{ gettext("Set") }}</button>
		</section>

		<section id="privkey-decrypt-wrapper" class="window" style="display:none">
			<p>
				{{ gettext("Please enter the password to decrypt your private key.") }}
			</p>
			<input type="password" id="privkey-password-input">
			<button id="privkey-decrypt">{{ gettext("Decrypt") }}</button>
		</section>

		<section id="new-message-wrapper">
			<a
				class="button"
				href="{{ url_for('message.create') }}"
			>{{ gettext("New message") }}</a>
		</section>

		<section id="message-window-wrapper" class="window" style="display:none">
			<ul id="message-directory-list-wrapper">
				{% for directory in directories %}
					<li
						class="message-directory"
						data-is-selected="false"
						data-name="{{ directory['name'] }}"
						{% if "id" in directory %}
							data-is-default="false"
							id="message-directory-{{ directory.id }}"
						{% else %}
							data-is-default="true"
							data-default-type="{{ directory['$type'] }}"
						{% endif %}
					>
						<div class="message-directory-name">{{ directory["name"] }}</div>
					</li>
				{% endfor %}
			</ul>

			<section id="message-view-wrapper"></section>
		</section>
	</section>
{% endblock %}
